#
# spec file for package ruby-common
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ruby-common
Version:        2.1
Release:        2.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source1:        gem_build_cleanup
Source3:        ruby.common-macros
Source4:        rubygems.attr
Source5:        rubygemsdeps.rb
Source6:        gem_install.sh
Source7:        generate_buildrequires.sh
Summary:        Collection of scripts and macros for ruby packaging
License:        MIT
Group:          Development/Languages/Ruby
Requires:       /usr/bin/getopt
Requires:       ruby-devel
Requires:       rubygems > 1.8
BuildArch:      noarch
Provides:       ruby-macros = %{version}
%if 0%{?suse_version} < 1140
# we need a patched rpm
#Requires:       rpm-with-ruby-provide-hook
Requires:	rpm >= 4.4.2.3-37.56.1
%endif

%description
This package is needed for (generated) ruby gems. It provides hooks for
automatic rpm provides and requires and macros that gem2rpm uses.

%prep

%build

%install
# we need to make sure it overwrites older macro versions and rpm sorts alphabetically
install -D -m 0644 %{S:3} $RPM_BUILD_ROOT/etc/rpm/macros.suse-ruby
install -D -m 0644 %{S:4} $RPM_BUILD_ROOT/usr/lib/rpm/fileattrs/rubygems.attr
install -D -m 0755 %{S:5} $RPM_BUILD_ROOT/usr/lib/rpm/rubygemsdeps.rb
install -D -m 0755 %{S:6} $RPM_BUILD_ROOT/usr/lib/rpm/gem_install.sh
install -D -m 0755 %{S:1} $RPM_BUILD_ROOT/usr/lib/rpm/gem_build_cleanup.sh
install -D -m 0755 %{S:7} $RPM_BUILD_ROOT/usr/lib/rpm/generate_buildrequires.sh

%files
%defattr(-,root,root)
/etc/rpm/macros.suse-ruby
%dir /usr/lib/rpm/fileattrs
/usr/lib/rpm/fileattrs/rubygems.attr
/usr/lib/rpm/rubygemsdeps.rb
/usr/lib/rpm/gem_install.sh
/usr/lib/rpm/gem_build_cleanup.sh
/usr/lib/rpm/generate_buildrequires.sh

%changelog
* Sat Sep  7 2013 coolo@suse.com
- do no longer buildrequire rubygems_with_buildroot_patch, that's
  history long enough - ruby-devel will do
* Thu Jun  6 2013 coolo@suse.com
- fixed ~> 3.4 to actually require 3
* Mon Apr 29 2013 coolo@suse.com
- switch to ruby 2.0 as default
* Sun Apr 14 2013 coolo@suse.com
- fix permissions
* Tue Apr  9 2013 coolo@suse.com
- do not remove ext completely, e.g. passenger extensions require
  some files from there
* Sat Mar 23 2013 coolo@suse.com
- remove ext too, it only causes problems - as far as I can see
* Fri Mar  8 2013 rhafer@suse.com
- Some enhancements to rubygemsdeps.rb:
  - Add --file-match option to rubygemsdeps.rb to allow
    specifying and alternate regex to match the input files
    against. This is useful to generate dependencies from gemspec
    files which do not endup being installed in the default
    locations
  - Default rubyabi to a non-nil value (basically the version of
    of the ruby interpreter that runs the script)
* Wed Jan  9 2013 aspiers@suse.com
- Fix it to work even if all-good has just been created locally
  via mkpac and doesn't exist server-side yet.
- Improve support for running within a branch of the original
  project.  This allows submitreqs which change all-good.spec.
* Tue Jan  8 2013 idonmez@suse.com
- Bump version to 2.0 so we don't get a version downgrade when
  updating from 12.2
* Fri Dec 28 2012 coolo@suse.com
- always provide the full version string as people use
  ~> 1.2 even if the version is 1.2
  The old logic assumed people would always require one digit
  less than the actual version
* Wed Dec 19 2012 aspiers@suse.com
- Import an enhanced version of d:l:r:e/all-good/update-sources.sh
  which can be reused for any project, and allows more thorough
  handling of BuildRequires from different repository / arch
  combinations.
* Tue Dec  4 2012 nkrinner@suse.com
- Bring back fix from submit request 140568 (Revision 23):
  Fix gemspec filtering on SLE_11_SP2:
    + Only gemspec files resulting of the built gem matter, not other
    gemspec found in-tree
    + Newer RPM uses rubygem.attr, which filters correctly
* Fri Nov 30 2012 coolo@suse.com
- require rubygems for old ruby versions
- strip trailing .0 for ~> operator
* Fri Nov 23 2012 aspiers@suse.com
- Add -g option to rubygemsdeps.rb to allow preview / review
  of automatically generated dependencies from:
    + gemspecs in packages which have already been installed
    + gems/gemspecs which have not yet been packaged
  This is useful for learning / debugging the dependency generator.
* Wed Nov  7 2012 saschpe@suse.de
- Fix gemspec filtering on SLE_11_SP2:
  + Only gemspec files resulting of the built gem matter, not other
    gemspec found in-tree
  + Newer RPM uses rubygem.attr, which filters correctly
* Mon Nov  5 2012 coolo@suse.com
- fix build on fedora
* Thu Aug  2 2012 coolo@suse.com
- "~> 2" doesn't have any meaning, but we still need to handle it
* Wed Aug  1 2012 coolo@suse.com
- fixing the pessimistic operator
* Mon Jul 30 2012 coolo@suse.com
- replace all */ruby with /usr/bin/ruby
* Fri Jul 27 2012 coolo@suse.com
- replace /usr/local/bin/ruby with /usr/bin/ruby - a very often mistake
* Thu Jul 26 2012 coolo@suse.com
- fix ruby provides/requires with ruby 1.8
* Thu Jul 26 2012 coolo@suse.com
- old gems do not have a gem unpack --spec, so use gem specification
* Thu Jul 26 2012 coolo@suse.com
- catch unspecified gem_binary
* Thu Jul 26 2012 coolo@suse.com
- split from ruby package for easier backporting
